package main

import (
	"math/rand"
	"mongo.games.com/game/common"
	"mongo.games.com/goserver/core"
	"mongo.games.com/goserver/core/module"
	"time"
)

func main() {
	rand.Seed(time.Now().Unix())
	core.RegisterConfigEncryptor(common.ConfigFE)
	defer core.ClosePackages()
	core.LoadPackages("config.json")

	waiter := module.Start()
	waiter.Wait("main()")
}
